[PC-BSD Commits] r19953 - pcbsd/current/overlays/desktop-overlay/usr/local/share/pcbsd/scripts

svn at pcbsd.org svn at pcbsd.org
Thu Oct 25 13:20:23 PDT 2012


Author: kris
Date: 2012-10-25 20:20:23 +0000 (Thu, 25 Oct 2012)
New Revision: 19953

Modified:
   pcbsd/current/overlays/desktop-overlay/usr/local/share/pcbsd/scripts/sound-dev-changed.sh
Log:

Fix a bug where devd is calling sound-dev-changed.sh at bootup, which 
may give us the wrong sound device by default



Modified: pcbsd/current/overlays/desktop-overlay/usr/local/share/pcbsd/scripts/sound-dev-changed.sh
===================================================================
--- pcbsd/current/overlays/desktop-overlay/usr/local/share/pcbsd/scripts/sound-dev-changed.sh	2012-10-25 19:49:33 UTC (rev 19952)
+++ pcbsd/current/overlays/desktop-overlay/usr/local/share/pcbsd/scripts/sound-dev-changed.sh	2012-10-25 20:20:23 UTC (rev 19953)
@@ -62,6 +62,12 @@
 
 set_new_dev()
 {
+   # Dont keep changing the device at bootup, wait until after the system loads before enabling this
+   ps -axoargs | grep -q "^/usr/libexec/getty "
+   if [ $? -eq 0 ] ; then
+      return
+   fi
+
    # Get the last pcm device so we can make it the default
    newDev=`cat /dev/sndstat | grep play | egrep -o 'pcm[0-9]+' | tail -n 1`
    dNum=`echo $newDev | sed 's|pcm||g'`



More information about the Commits mailing list